<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="8.00"
	Name="FTRT_EventChannel"
	ProjectGUID="{63804DB5-FECA-1BAD-03D7-9F611C310431}"
	RootNamespace="FTRT_EventChannel"
	Keyword="Win32Proj"
	SignManifests="true"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="..\..\..\lib"
			IntermediateDirectory="Debug\FTRT_EventChannel_vc8"
			ConfigurationType="2"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"
				PreprocessorDefinitions="TAO_FTRTEC_BUILD_DLL;_DEBUG;WIN32;_WINDOWS;_CRT_SECURE_NO_DEPRECATE;_M_IX86"
				MinimalRebuild="false"
				ExceptionHandling="2"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				RuntimeTypeInfo="true"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
				DebugInformationFormat="3"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="ACEd.lib TAOd.lib TAO_AnyTypeCoded.lib TAO_IORManipd.lib TAO_PortableServerd.lib TAO_CosNamingd.lib TAO_Valuetyped.lib TAO_CodecFactoryd.lib TAO_PId.lib TAO_Messagingd.lib TAO_PortableGroupd.lib TAO_FTORB_Utilsd.lib TAO_Svc_Utilsd.lib TAO_RTEventd.lib TAO_RTEvent_Skeld.lib TAO_RTEvent_Servd.lib TAO_PI_Serverd.lib TAO_FtRtEventd.lib TAO_Utilsd.lib"
				OutputFile="$(OutDir)\TAO_FTRT_EventChanneld.dll"
				LinkIncremental="2"
				SuppressStartupBanner="true"
				AdditionalLibraryDirectories=".;..\..\..\lib"
				GenerateDebugInformation="true"
				SubSystem="2"
				ImportLibrary="..\..\..\lib\TAO_FTRT_EventChanneld.lib"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="..\..\..\lib"
			IntermediateDirectory="Release\FTRT_EventChannel_vc8"
			ConfigurationType="2"
			CharacterSet="0"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
				AdditionalOptions=""
				AdditionalIncludeDirectories=""
				TypeLibraryName="$(InputName).tlb"
				HeaderFileName="$(InputName).h"
				InterfaceIdentifierFileName="$(InputName)_i.c"
				ProxyFileName="$(InputName)_p.c"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="2"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"
				PreprocessorDefinitions="TAO_FTRTEC_BUILD_DLL;NDEBUG;WIN32;_WINDOWS;_CRT_SECURE_NO_DEPRECATE;_M_IX86"
				ExceptionHandling="2"
				RuntimeLibrary="2"
				RuntimeTypeInfo="true"
				WarningLevel="3"
				Detect64BitPortabilityProblems="false"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..,$(TAO_ROOT),$(TAO_ROOT)\orbsvcs"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="ACE.lib TAO.lib TAO_AnyTypeCode.lib TAO_IORManip.lib TAO_PortableServer.lib TAO_CosNaming.lib TAO_Valuetype.lib TAO_CodecFactory.lib TAO_PI.lib TAO_Messaging.lib TAO_PortableGroup.lib TAO_FTORB_Utils.lib TAO_Svc_Utils.lib TAO_RTEvent.lib TAO_RTEvent_Skel.lib TAO_RTEvent_Serv.lib TAO_PI_Server.lib TAO_FtRtEvent.lib TAO_Utils.lib"
				OutputFile="$(OutDir)\TAO_FTRT_EventChannel.dll"
				LinkIncremental="1"
				SuppressStartupBanner="true"
				AdditionalLibraryDirectories=".;..\..\..\lib"
				GenerateDebugInformation="true"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				ImportLibrary="..\..\..\lib\TAO_FTRT_EventChannel.lib"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;cxx;cc;C;c">
			<Filter
				Name="FTRT_EventChannel"
				Filter="">
				<File
					RelativePath="FtRtEvent\EventChannel\AMI_Primary_Replication_Strategy.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\AMI_Replication_Strategy.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\Basic_Replication_Strategy.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\create_persistent_poa.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\Dynamic_Bitset.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\Fault_Detector.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\Fault_Detector_Loader.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\ForwardCtrlServerInterceptor.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FT_ProxyAdmin_Base.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FTEC_Become_Primary_Listener.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FTEC_ConsumerAdmin.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FTEC_Event_Channel.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FTEC_Event_Channel_Impl.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FTEC_Factory.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FTEC_Group_Manager.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FTEC_ORBInitializer.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FTEC_ProxyConsumer.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FTEC_ProxySupplier.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FTEC_SupplierAdmin.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FtEventServiceInterceptor.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\GroupInfoPublisher.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\Identification_Service.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\IOGR_Maker.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\ObjectGroupManagerHandler.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\ProxyConsumerStateWorker.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\ProxySupplierStateWorker.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\replace_key.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\Replication_Service.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\Replication_Strategy.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\Request_Context_Repository.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\SCTP_Fault_Detector.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\Set_Update_Interceptor.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\Update_Manager.cpp">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\UpdateableHandler.cpp">
				</File>
			</Filter>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hh">
			<Filter
				Name="FTRT_EventChannel"
				Filter="">
				<File
					RelativePath="FtRtEvent\EventChannel\AMI_Primary_Replication_Strategy.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\AMI_Replication_Strategy.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\Basic_Replication_Strategy.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\create_persistent_poa.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\Dynamic_Bitset.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\Fault_Detector.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\Fault_Detector_Loader.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\ForwardCtrlServerInterceptor.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FT_ProxyAdmin_Base.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FTEC_Become_Primary_Listener.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FTEC_ConsumerAdmin.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FTEC_Event_Channel.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FTEC_Event_Channel_Impl.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FTEC_Factory.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FTEC_Group_Manager.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FTEC_ORBInitializer.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FTEC_ProxyConsumer.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FTEC_ProxySupplier.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FTEC_SupplierAdmin.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\FtEventServiceInterceptor.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\GroupInfoPublisher.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\Identification_Service.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\IOGR_Maker.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\ObjectGroupManagerHandler.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\ProxyConsumerStateWorker.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\ProxySupplierStateWorker.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\Replication_Service.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\Replication_Strategy.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\Request_Context_Repository.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\SCTP_Fault_Detector.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\Set_Update_Interceptor.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\Update_Manager.h">
				</File>
				<File
					RelativePath="FtRtEvent\EventChannel\UpdateableHandler.h">
				</File>
			</Filter>
			<File
				RelativePath="FtRtEvent\EventChannel\ConnectionHandler_T.h">
			</File>
			<File
				RelativePath="FtRtEvent\EventChannel\Fault_Detector_T.h">
			</File>
			<File
				RelativePath="FtRtEvent\EventChannel\FT_ProxyAdmin_T.h">
			</File>
			<File
				RelativePath="FtRtEvent\EventChannel\ftrtec_export.h">
			</File>
		</Filter>
		<Filter
			Name="Inline Files"
			Filter="i;inl">
			<Filter
				Name="FTRT_EventChannel"
				Filter="">
				<File
					RelativePath="FtRtEvent\EventChannel\Dynamic_Bitset.inl">
				</File>
			</Filter>
		</Filter>
		<Filter
			Name="Template Files"
			Filter="">
			<File
				RelativePath="FtRtEvent\EventChannel\ConnectionHandler_T.cpp">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="true">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="true">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="FtRtEvent\EventChannel\Fault_Detector_T.cpp">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="true">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="true">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="FtRtEvent\EventChannel\FT_ProxyAdmin_T.cpp">
				<FileConfiguration
					Name="Debug|Win32"
					ExcludedFromBuild="true">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					ExcludedFromBuild="true">
					<Tool
						Name="VCCLCompilerTool"/>
				</FileConfiguration>
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
